Bug 124308 - Update port: audio/prokyon3 to 0.9.6
Summary: Update port: audio/prokyon3 to 0.9.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-05 19:10 UTC by tkato432
Modified: 2008-06-20 17:50 UTC (History)
0 users

See Also:


Attachments
file.diff (14.70 KB, patch)
2008-06-05 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2008-06-05 19:10:02 UTC
- Update to version 0.9.6

New file:
files/patch-src__job_importplaylist.cpp
files/patch-src__qmbflacfile.cpp

Remove file:
files/patch-src_getopt.c
Comment 1 Martin Wilke freebsd_committer 2008-06-05 19:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-06-05 20:57:42 UTC
State Changed
From-To: open->feedback


Hi Kato, 

Build failed, could you please take a look. 

http://head.miwibox.org/tb2/index.php?action=describe_port&id=1328
Comment 3 tkato432 2008-06-15 19:00:08 UTC
Remake of the patch against current tree.


diff -urN /usr/ports/audio/prokyon3/Makefile audio/prokyon3/Makefile
--- /usr/ports/audio/prokyon3/Makefile	2008-06-07 00:18:49.000000000 +0900
+++ audio/prokyon3/Makefile	2008-06-15 22:28:16.000000000 +0900
@@ -6,32 +6,35 @@
 #
 
 PORTNAME=	prokyon3
-PORTVERSION=	0.9.2
-PORTREVISION=	6
+PORTVERSION=	0.9.6
 CATEGORIES=	audio
 MASTER_SITES=	SF
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Prokyon3 is a multithreaded MP3 manager and tag editor
+COMMENT=	A multithreaded music manager and tag editor
 
-BUILD_DEPENDS=	${LOCALBASE}/lib/plugins/sqldrivers/libqsqlmysql.so:${PORTSDIR}/databases/qt-mysql-plugin
-LIB_DEPENDS=	id3-3.8:${PORTSDIR}/audio/id3lib \
-		vorbis.4:${PORTSDIR}/audio/libvorbis
-RUN_DEPENDS=	xmms:${PORTSDIR}/multimedia/xmms
+BUILD_DEPENDS=	${LOCALBASE}/lib/plugins/sqldrivers/libqsqlmysql.so:${PORTSDIR}/databases/qt-mysql-plugin \
+		bash:${PORTSDIR}/shells/bash
+LIB_DEPENDS=	FLAC.10:${PORTSDIR}/audio/flac \
+		mad.2:${PORTSDIR}/audio/libmad \
+		musicbrainz.4:${PORTSDIR}/audio/libmusicbrainz \
+		vorbis.4:${PORTSDIR}/audio/libvorbis \
+		tag.5:${PORTSDIR}/audio/taglib
+RUN_DEPENDS=	${LOCALBASE}/lib/plugins/sqldrivers/libqsqlmysql.so:${PORTSDIR}/databases/qt-mysql-plugin
 
-USE_XORG=	x11 xft
 USE_QT_VER=	3
-GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
-USE_GETTEXT=	yes
+USE_GNOME=	gnometarget
 USE_MYSQL=	yes
 USE_PERL5_BUILD=yes
-CONFIGURE_ARGS+=--with-qtdir=${LOCALBASE} --with-id3-libs=${LOCALBASE}\
-		--with-ogg-libs=${LOCALBASE} --with-vorbis-libs=${LOCALBASE}
-QT_NONSTANDARD=	yes
-CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include \
-		-I${QT_PREFIX}/include" LDFLAGS="${LDFLAGS}"
-LDFLAGS+=	-L${LOCALBASE}/lib
+USE_GETTEXT=	yes
+USE_GMAKE=	yes
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-other-includes=${LOCALBASE}/include \
+		--with-other-libs=${LOCALBASE}/lib \
+		--without-mixxx --without-musicextras
+MAKE_ARGS=	LIBS="-lqt-mt ${PTHREAD_LIBS}"
+
+.include <bsd.port.pre.mk>
 
 .if defined(WITH_BURN)
 USE_CDRTOOLS=	yes
@@ -39,24 +42,28 @@
 		ogg123:${PORTSDIR}/audio/vorbis-tools \
 		normalize:${PORTSDIR}/audio/normalize \
 		bash:${PORTSDIR}/shells/bash
-PLIST_FILES+=	bin/prokburn
+PLIST_FILES+=	BURN=""
+.else
+PLIST_SUB+=	BURN="@comment "
 .endif
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|-g -O2|${CFLAGS}|; s|-lqt-mt|-lqt-mt ${PTHREAD_LIBS}|' ${WRKSRC}/configure
-.if defined(WITH_BURN)
-	@${REINPLACE_CMD} -e 's|/bin/bash|${LOCALBASE}/bin/bash|' ${WRKSRC}/prokburn
-.else
-	@${REINPLACE_CMD} -e 's|prokburn||' ${WRKSRC}/Makefile.am
-	@${REINPLACE_CMD} -e 's|prokburn||' ${WRKSRC}/Makefile.in
-.endif
-	@${REINPLACE_CMD} -E 's|[[:alpha:]]+::||' ${WRKSRC}/src/gui.h \
-		${WRKSRC}/src/configuration.h
-	@${REINPLACE_CMD} -e 's|QProgressDialogScroll::||' \
-		${WRKSRC}/src/jobbase.cpp
+	@${REINPLACE_CMD} -e \
+		's|^#!.*$$|#!${LOCALBASE}/bin/bash|g ; \
+		 s|^CXXFLAGS=|#CXXFLAGS=|g ; \
+		 s|^CFLAGS=|#CFLAGS=|g' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		's|^#!.*$$|#!${LOCALBASE}/bin/bash|g' ${WRKSRC}/prokburn
+	@${REINPLACE_CMD} -e \
+		's|: install-binSCRIPTS|:|g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e \
+		's|getopt.$$(OBJEXT)||g' ${WRKSRC}/src/Makefile.in
 
 post-install:
+.if defined(WITH_BURN)
+	${INSTALL_SCRIPT} ${WRKSRC}/prokburn ${PREFIX}/bin
+.endif
 	@${CAT} ${PKGMESSAGE}
 	@sleep 5
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -urN /usr/ports/audio/prokyon3/distinfo audio/prokyon3/distinfo
--- /usr/ports/audio/prokyon3/distinfo	2006-01-22 17:12:58.000000000 +0900
+++ audio/prokyon3/distinfo	2008-06-04 01:22:45.000000000 +0900
@@ -1,3 +1,3 @@
-MD5 (prokyon3-0.9.2.tar.gz) = 49e7b2662f4fffc3c366c4fb0ff53d4c
-SHA256 (prokyon3-0.9.2.tar.gz) = 1053ab6c5a01410d18d7fd402d6ef1b56197d6964e6c1cc0ce8d85b20cad7d17
-SIZE (prokyon3-0.9.2.tar.gz) = 593348
+MD5 (prokyon3-0.9.6.tar.gz) = c4b3d222a518ff82af66ea4aba458f55
+SHA256 (prokyon3-0.9.6.tar.gz) = a5c9477b8f15e791860dcd7e7608dcfdc0cf423528a56525a3d20e4d6935cb6a
+SIZE (prokyon3-0.9.6.tar.gz) = 1162620
diff -urN /usr/ports/audio/prokyon3/files/patch-src__job_importplaylist.cpp audio/prokyon3/files/patch-src__job_importplaylist.cpp
--- /usr/ports/audio/prokyon3/files/patch-src__job_importplaylist.cpp	1970-01-01 09:00:00.000000000 +0900
+++ audio/prokyon3/files/patch-src__job_importplaylist.cpp	2008-06-04 02:07:22.000000000 +0900
@@ -0,0 +1,10 @@
+--- src/job_importplaylist.cpp.orig	2007-01-07 06:51:11.000000000 +0900
++++ src/job_importplaylist.cpp	2008-06-04 02:01:55.000000000 +0900
+@@ -9,6 +9,7 @@
+ #include <qstringlist.h>
+ #include <qregexp.h>
+ #include <qfile.h>
++#include <qdir.h>
+ #include <qfileinfo.h>
+ 
+ #ifdef EMBEDDED
diff -urN /usr/ports/audio/prokyon3/files/patch-src__qmbflacfile.cpp audio/prokyon3/files/patch-src__qmbflacfile.cpp
--- /usr/ports/audio/prokyon3/files/patch-src__qmbflacfile.cpp	1970-01-01 09:00:00.000000000 +0900
+++ audio/prokyon3/files/patch-src__qmbflacfile.cpp	2008-06-04 02:07:52.000000000 +0900
@@ -0,0 +1,67 @@
+--- src/qmbflacfile.cpp.orig	2006-02-01 16:47:52.000000000 +0900
++++ src/qmbflacfile.cpp	2008-06-04 02:06:11.000000000 +0900
+@@ -33,6 +33,12 @@
+ #include <musicbrainz/mb_c.h>
+ #include <FLAC++/metadata.h>
+ 
++#if !defined(FLAC_API_VERSION_CURRENT) || FLAC_API_VERSION_CURRENT < 8
++#define LEGACY_FLAC
++#else
++#undef LEGACY_FLAC
++#endif
++
+ QMBFLACFile::QMBFLACFile()
+ : QMBFile(), FLAC::Decoder::File(), offset(0), decode_error(false) {
+     //we do nothing here.  we want to allow checking of return value,
+@@ -57,17 +63,27 @@
+     int lastslash = filename.findRev('/');
+     metadata.SetFileName(filename.right(filename.length() - lastslash - 1));
+ 
++#ifdef LEGACY_FLAC
+     //set the filename with the FLAC::Decoder::File class
+     set_filename(fullfilename.latin1());
++#endif
+ 
+     //tell the decoder to call the metadata callback on vorbis comments so we can get the metadata already stored in the file
+     set_metadata_respond(FLAC__METADATA_TYPE_VORBIS_COMMENT);
+ 
+     //Start reading the FLAC file
++#ifdef LEGACY_FLAC
+     FLAC__FileDecoderState state = init();
+ 
+     if (state != FLAC__FILE_DECODER_OK) {
+         qWarning("QMBFLACFile::Extract(): error opening file: %i (%s).", state, FLAC__FileDecoderStateString[state]);
++#else
++    FLAC__StreamDecoderState state;
++    FLAC__StreamDecoderInitStatus initstate = init(fullfilename.latin1());
++
++    if (initstate != FLAC__STREAM_DECODER_INIT_STATUS_OK) {
++        qWarning("QMBFLACFile::Extract(): error opening file: %i (%s).", initstate, FLAC__StreamDecoderStateString[initstate]);
++#endif
+         finish();
+         return -1;
+     }
+@@ -75,7 +91,11 @@
+     //read through all the metadata so our callback can catch it all
+     if(!process_until_end_of_metadata ()) {
+         state = get_state();
++#ifdef LEGACY_FLAC
+         qWarning("QMBFLACFile::Extract(): error getting metadata: %i (%s).", state, FLAC__FileDecoderStateString[state]);
++#else
++        qWarning("QMBFLACFile::Extract(): error getting metadata: %i (%s).", state, FLAC__StreamDecoderStateString[state] );
++#endif
+         decode_error = true;
+         finish();
+         return -2;
+@@ -108,7 +128,11 @@
+     while (!decode_error && offset < (unsigned long) bufferlen) {
+         if (!process_single()) {
+             state = get_state();
++#ifdef LEGACY_FLAC
+             qWarning("QMBFLACFile::Extract(): error getting raw data: %i (%s).", state, FLAC__FileDecoderStateString[state]);
++#else
++            qWarning("QMBFLACFile::Extract(): error getting raw data: %i (%s).", state, FLAC__StreamDecoderStateString[state]);
++#endif
+             decode_error = true;
+             finish();
+             return -2;
diff -urN /usr/ports/audio/prokyon3/files/patch-src_getopt.c audio/prokyon3/files/patch-src_getopt.c
--- /usr/ports/audio/prokyon3/files/patch-src_getopt.c	2004-01-26 03:59:24.000000000 +0900
+++ audio/prokyon3/files/patch-src_getopt.c	1970-01-01 09:00:00.000000000 +0900
@@ -1,11 +0,0 @@
---- src/getopt.c.orig	Sat Sep 20 10:34:30 2003
-+++ src/getopt.c	Sat Sep 20 10:35:56 2003
-@@ -24,6 +24,8 @@
- #include "config.h"
- #endif
- 
-+#define _(String)(String)
-+
- #ifndef __STDC__
- /* This is a separate conditional since some stdc systems
-    reject `defined (const)'.  */
diff -urN /usr/ports/audio/prokyon3/pkg-descr audio/prokyon3/pkg-descr
--- /usr/ports/audio/prokyon3/pkg-descr	2008-06-15 22:14:43.000000000 +0900
+++ audio/prokyon3/pkg-descr	2008-06-15 22:41:40.000000000 +0900
@@ -1,10 +1,14 @@
-prokyon3 is a multithreaded MP3 manager and tag editor for Linux.
-It was written in C++ using the Qt3 widget set and the MySQL database.
-prokyon3 can access MP3 files on hard disk, CDROM, SMB, and NFS. Files
-can be played using XMMS, and can even be played when the files are on
-CD as prokyon3 identifies CDs by content. The files view is customizable
-and favorite artists are supported. prokyon3 also offers an editor for
-ID3 tags and has been designed to support tagging for multiple files en
-masse.
+prokyon3 is a multithreaded music manager and tag editor for Unix
+(developed on Linux). It was written in C++ using the Qt3 widget set
+and the MySQL database. prokyon3 can access MP3, Ogg and FLAC files on
+hard disk, CDROM or network. Files can be played using XMMS (default)
+or other players. The file view is customizable and favorite artists
+are supported.  prokyon3 also offers an editor for ID3 and Ogg tags and
+has been designed to support tagging for large quantities of files.
+
+Beside it's own features prokyon3 is able to interact with a lot of
+other programms. Thanks to it's configurable interfaces you can combine
+prokyon3 with cd burners, media players and data aggregators of your
+choice.
 
 WWW: http://prokyon3.sourceforge.net/
diff -urN /usr/ports/audio/prokyon3/pkg-plist audio/prokyon3/pkg-plist
--- /usr/ports/audio/prokyon3/pkg-plist	2007-06-29 13:08:04.000000000 +0900
+++ audio/prokyon3/pkg-plist	2008-06-04 02:37:53.000000000 +0900
@@ -1,22 +1,70 @@
+%%BURN%%bin/prokburn
 bin/prokyon3
+share/locale/ca/LC_MESSAGES/prokyon3.mo
+share/locale/de/LC_MESSAGES/prokyon3.mo
+share/locale/en/LC_MESSAGES/prokyon3.mo
+share/locale/es/LC_MESSAGES/prokyon3.mo
+share/locale/fr/LC_MESSAGES/prokyon3.mo
+share/locale/he/LC_MESSAGES/prokyon3.mo
+share/locale/hr/LC_MESSAGES/prokyon3.mo
+share/locale/it/LC_MESSAGES/prokyon3.mo
+share/locale/nl/LC_MESSAGES/prokyon3.mo
+share/locale/pl/LC_MESSAGES/prokyon3.mo
+share/locale/pt_BR/LC_MESSAGES/prokyon3.mo
+share/locale/ro/LC_MESSAGES/prokyon3.mo
+share/locale/ru/LC_MESSAGES/prokyon3.mo
+share/locale/sv/LC_MESSAGES/prokyon3.mo
+share/locale/tr/LC_MESSAGES/prokyon3.mo
+share/locale/yi/LC_MESSAGES/prokyon3.mo
+%%DATADIR%%/html/manual_one_file/images/docbook/important.png
+%%DATADIR%%/html/manual_one_file/images/docbook/note.png
+%%DATADIR%%/html/manual_one_file/images/docbook/tip.png
+%%DATADIR%%/html/manual_one_file/images/docbook/warning.png
+%%DATADIR%%/html/manual_one_file/index.html
+%%DATADIR%%/html/manual_one_file/index_fr.html
+%%DATADIR%%/images/0star.png
+%%DATADIR%%/images/1star.png
+%%DATADIR%%/images/2star.png
+%%DATADIR%%/images/3star.png
+%%DATADIR%%/images/4star.png
+%%DATADIR%%/images/5star.png
 %%DATADIR%%/images/action_append.png
+%%DATADIR%%/images/action_burncd.png
 %%DATADIR%%/images/action_connect.png
 %%DATADIR%%/images/action_createdb.png
 %%DATADIR%%/images/action_discard.png
 %%DATADIR%%/images/action_disconnect.png
+%%DATADIR%%/images/action_documentation.png
+%%DATADIR%%/images/action_mextras_log.png
 %%DATADIR%%/images/action_quit.png
 %%DATADIR%%/images/action_readtags.png
 %%DATADIR%%/images/action_remove.png
+%%DATADIR%%/images/action_rename.png
+%%DATADIR%%/images/action_selectall.png
 %%DATADIR%%/images/action_settings.png
 %%DATADIR%%/images/action_switchbottom.png
 %%DATADIR%%/images/action_switchleft.png
 %%DATADIR%%/images/action_switchright.png
 %%DATADIR%%/images/action_synchronize.png
+%%DATADIR%%/images/action_unselectall.png
 %%DATADIR%%/images/action_updateonly.png
 %%DATADIR%%/images/action_writetags.png
-%%DATADIR%%/images/action_xmms.png
+%%DATADIR%%/images/amarok.png
+%%DATADIR%%/images/ask_musicbrainz.png
+%%DATADIR%%/images/beep-media-player.png
+%%DATADIR%%/images/down.png
+%%DATADIR%%/images/fileimport.png
+%%DATADIR%%/images/filenew.png
+%%DATADIR%%/images/filesave.png
+%%DATADIR%%/images/filter.png
 %%DATADIR%%/images/help.png
+%%DATADIR%%/images/html.png
+%%DATADIR%%/images/icon.png
+%%DATADIR%%/images/idea.png
+%%DATADIR%%/images/jump.png
+%%DATADIR%%/images/kaffeine.png
 %%DATADIR%%/images/lvi_album.png
+%%DATADIR%%/images/lvi_album16x16.png
 %%DATADIR%%/images/lvi_artist.png
 %%DATADIR%%/images/lvi_artist_favourite.png
 %%DATADIR%%/images/lvi_cdrom.png
@@ -26,19 +74,49 @@
 %%DATADIR%%/images/lvi_playlist.png
 %%DATADIR%%/images/lvi_smb.png
 %%DATADIR%%/images/madsmiley.png
-%%DATADIR%%/images/pink_marble.png
+%%DATADIR%%/images/mixxx.png
+%%DATADIR%%/images/mplayer.png
+%%DATADIR%%/images/music_sixteenthnote.png
+%%DATADIR%%/images/noatun.png
+%%DATADIR%%/images/play-off-Ch1.png
+%%DATADIR%%/images/play-off-Ch2.png
+%%DATADIR%%/images/play-on-Ch1.png
+%%DATADIR%%/images/play-on-Ch2.png
+%%DATADIR%%/images/player_enqueue.png
+%%DATADIR%%/images/player_fwd.png
+%%DATADIR%%/images/player_next.png
+%%DATADIR%%/images/player_pause.png
+%%DATADIR%%/images/player_play.png
+%%DATADIR%%/images/player_prev.png
+%%DATADIR%%/images/player_rew.png
+%%DATADIR%%/images/player_stop.png
+%%DATADIR%%/images/prelisten_enqueue.png
+%%DATADIR%%/images/prelisten_fwd.png
+%%DATADIR%%/images/prelisten_next.png
+%%DATADIR%%/images/prelisten_pause.png
+%%DATADIR%%/images/prelisten_play.png
+%%DATADIR%%/images/prelisten_play2.png
+%%DATADIR%%/images/prelisten_prev.png
+%%DATADIR%%/images/prelisten_rew.png
+%%DATADIR%%/images/prelisten_stop.png
+%%DATADIR%%/images/prokyon_bump.png
+%%DATADIR%%/images/prokyon_logo.png
 %%DATADIR%%/images/smiley.png
-%%DATADIR%%/images/splash4.png
-share/locale/de/LC_MESSAGES/prokyon3.mo
-share/locale/fr/LC_MESSAGES/prokyon3.mo
-share/locale/nl/LC_MESSAGES/prokyon3.mo
-%%DATADIR%%/images/action_burncd.png
-%%DATADIR%%/images/action_documentation.png
-%%DATADIR%%/html/manual_one_file/images/docbook/important.png
-%%DATADIR%%/html/manual_one_file/images/docbook/note.png
-%%DATADIR%%/html/manual_one_file/images/docbook/tip.png
-%%DATADIR%%/html/manual_one_file/images/docbook/warning.png
-%%DATADIR%%/html/manual_one_file/index.html
+%%DATADIR%%/images/splash5.png
+%%DATADIR%%/images/totem.png
+%%DATADIR%%/images/up.png
+%%DATADIR%%/images/xmms.png
+%%DATADIR%%/prokyon3_embedded_mysql.cnf
+%%DATADIR%%/testmusicextras/test1.mp3
+%%DATADIR%%/testmusicextras/test2.mp3
+%%DATADIR%%/testmusicextras/test3.mp3
+%%DATADIR%%/testmusicextras/test4.mp3
+%%DATADIR%%/testmusicextras/test5.mp3
+%%DATADIR%%/testmusicextras/test6.mp3
+%%DATADIR%%/testmusicextras/test7.mp3
+%%DATADIR%%/testmusicextras/testresults.pdf
+%%DATADIR%%/testmusicextras/testresults.sxw
+@dirrm %%DATADIR%%/testmusicextras
 @dirrm %%DATADIR%%/images
 @dirrm %%DATADIR%%/html/manual_one_file/images/docbook
 @dirrm %%DATADIR%%/html/manual_one_file/images
Comment 4 dfilter service freebsd_committer 2008-06-20 17:48:41 UTC
miwi        2008-06-20 16:48:37 UTC

  FreeBSD ports repository

  Modified files:
    audio/prokyon3       Makefile distinfo pkg-descr pkg-plist 
  Added files:
    audio/prokyon3/files patch-src_job_importplaylist.cpp 
                         patch-src_qmbflacfile.cpp 
  Removed files:
    audio/prokyon3/files patch-src_getopt.c 
  Log:
  - Update to 0.9.6
  
  PR:             124308
  Submitted by:   Ports Fury
  
  Revision  Changes    Path
  1.24      +37 -29    ports/audio/prokyon3/Makefile
  1.4       +3 -3      ports/audio/prokyon3/distinfo
  1.2       +0 -11     ports/audio/prokyon3/files/patch-src_getopt.c (dead)
  1.1       +10 -0     ports/audio/prokyon3/files/patch-src_job_importplaylist.cpp (new)
  1.1       +67 -0     ports/audio/prokyon3/files/patch-src_qmbflacfile.cpp (new)
  1.6       +12 -8     ports/audio/prokyon3/pkg-descr
  1.4       +93 -13    ports/audio/prokyon3/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2008-06-20 17:48:50 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!